### Function

# FwupdPlugin path_make_absolute

#### Declaration [src]

    gchar*
    fu_path_make_absolute (
      const gchar* filename,
      GError** error
    )

#### Description [src]

Returns the resolved absolute file name.

Available since: | 2.0.0

#### Parameters

`filename` | `const gchar*`
| A path to a filename, perhaps symlinked.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gchar*`
| Path, or `NULL` on error.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.